Name:           gnome-applet-sensors
Version:        1.4
Release:        4%{?dist}
Summary:        Gnome panel applet for hardware sensors

Group:          User Interface/Desktops
License:        GPL
URL:            http://sensors-applet.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/sensors-applet/sensors-applet-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gettext
BuildRequires: gnome-panel-devel >= 2.8
Requires: lm_sensors
ExcludeArch: ppc

%description
GNOME Sensors Applet is an applet for the GNOME Panel to display readings
from hardware sensors, including CPU and system temperatures, fan speeds
and voltage readings under Linux.
Can interface via the Linux kernel i2c modules, or the i8k kernel module (for
Dell Inspirion 8000 Laptops).
Includes a simple, yet highly customizable display and intuitive 
user-interface.
Alarms can be set for each sensor to notify the user once a certain value
has been reached, and can be configured to execute a given command at given
repeated intervals.
GNOME HIG v2.0 compliant.


%prep
%setup -q -n sensors-applet-%{version}

%build

%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Note: the find_lang macro requires gettext
%find_lang sensors-applet


%clean
rm -rf $RPM_BUILD_ROOT


%files -f sensors-applet.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/pixmaps/*.png
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/*


%changelog
* Sat Feb 11 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.4-4
- add ExcludeArch due to lack of ppc lm_sensors

* Tue Feb 06 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.4-3
- make that lm_sensors

* Mon Feb 06 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.4-2
- add lm-sensors requires

* Tue Sep 20 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 1.4-1
- bump to stable release 1.4

* Sat Jul 02 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 1.0-1
- bump to stable release 1.0

* Wed May 18 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.7.3-1
- Minor specfile cleanup

* Fri May 13 2005 Gianluca Sforna <giallu[AT]gmail.com> - 0.7.3-0.1
- Version update

* Sat Feb 26 2005 Gianluca Sforna <giallu[AT]gmail.com> - 0.6.2-0.1
- Initial RPM release.

